> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List Schedules

> List the unlock schedules defined for a token.



## OpenAPI

````yaml /apis/admin/openapi.json post /api/external/v1/schedules
openapi: 3.1.0
info:
  title: Magna Admin API
  version: 1.0.0
  description: >-
    The private, server-to-server API for managing allocations, funding and
    claims, transactions, portals, and token data. Authenticated with a project
    API key sent in the `x-magna-api-token` header.
servers:
  - url: https://app.magna.so
    description: Production
security:
  - apiToken: []
paths:
  /api/external/v1/schedules:
    post:
      tags:
        - Schedules
      summary: List Schedules
      description: List the unlock schedules defined for a token.
      operationId: postSchedules
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                tokenId:
                  type:
                    - string
                  minLength: 1
                  format: uuid
              required:
                - tokenId
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  isProcessed:
                    type: boolean
                  result:
                    description: Endpoint-specific result payload.
              example:
                isProcessed: true
                result:
                  items:
                    - id: sch...uuid
                      key: S-ABC123
                      name: 4y monthly, 1y cliff
                      description: null
                      unlockAtStart: 0
                      cliff:
                        value: 0
                        duration: 1
                        period: YEAR
                      roundingMode: FLOOR
                      createdAt: '2024-04-15T21:26:21.000Z'
                  total: 1
        '400':
          description: Validation error
        '401':
          description: Missing or invalid API token
        '403':
          description: API token lacks the required scope or project access
components:
  securitySchemes:
    apiToken:
      type: apiKey
      in: header
      name: x-magna-api-token

````